<!-- Small DTD for jokes (just for fun). -->
<!ELEMENT joke (line,(suspense|line)*)>

<!ELEMENT line (#PCDATA)>
<!ATTLIST line type ( normal | question | punch-line ) 'normal'>

<!ELEMENT suspense EMPTY>
